[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGListEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Generic list enumerator

## Declaration

Source position: fgl.pp line 109

`type generic TFPGListEnumerator <T>= class(TObject)`
`public`
`constructor Create();` |  | Create a new list enumerator
`function MoveNext;` |  | Move to next element in the list
`property Current: T; [r]` |  | Current enumerated element
`end;`

## Inheritance

`TFPGListEnumerator` |  | Generic list enumerator
`TObject` |  | Base class of all classes.

## Description

TFPGListEnumerator is a generic list enumerator. It is used in the TFPGList class to implement the enumerator for the list.

Normally there should be no need to instantiate or use this class directly.

## See also

TFPGList |  | Generic list